Bug 1172534 - Review Request: resolv_wrapper - A wrapper for dns name resolving or dns faking
Summary: Review Request: resolv_wrapper - A wrapper for dns name resolving or dns faking
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Adam
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-10 10:18 UTC by Andreas Schneider
Modified: 2015-01-03 19:08 UTC (History)
4 users (show)

Fixed In Version: resolv_wrapper-1.1.0-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-03 19:07:53 UTC
madam: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
licensecheck.txt (450 bytes, text/plain)
2014-12-15 20:54 UTC, Michael Adam
no flags Details
rpmlint.txt (1.14 KB, text/plain)
2014-12-15 20:57 UTC, Michael Adam
no flags Details
proposed modified SPEC-file (1.70 KB, text/plain)
2014-12-15 21:00 UTC, Michael Adam
no flags Details
patch for spec file (1.05 KB, patch)
2014-12-15 21:04 UTC, Michael Adam
no flags Details | Diff

Description Andreas Schneider 2014-12-10 10:18:16 UTC
Spec URL: http://xor.cryptomilk.org/rpm/resolv_wrapper/resolv_wrapper.spec
SRPM URL: http://xor.cryptomilk.org/rpm/resolv_wrapper/resolv_wrapper-1.1.0-1.fc21.src.rpm
Description: It is likely that if you have a server/client architecture, you need to do DNS queries or a third party library, like Kerberos needs to be able to do queries. In the case of Kerberos the client needs to lookup the address of the KDC via a SRV record. resolv_wrapper is able to either redirect all DNS queries to your DNS server implementation, or fake DNS replies!
Fedora Account System Username: asn

Comment 1 Andreas Schneider 2014-12-10 10:22:22 UTC
Jakub, could you please do the review for resolv_wrapper? :)

Comment 2 Michael Adam 2014-12-12 10:05:19 UTC
I started to do the review.
Will post an update shorty.

Comment 3 Jakub Hrozek 2014-12-12 11:58:34 UTC
Thank you very much, we have quite a few sssd bugs these days so I appreciate it :)

Comment 4 Michael Adam 2014-12-15 20:53:57 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Development (unversioned) .so files in -devel subpackage, if present.
  Note: Unversioned so-files directly in %_libdir.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages
  ---> OK: this whole package is for development, hence no separate devel
       package
- License of files not uniform: most BSD, one GPLv3+, one without license
  ---> TODO: fix upstream?
- Problem with owning {_libdir}/cmake,pkgconfig directories:
  ---> Proposal for added Requires and changed files.
- Changelog has format error.
  ---> Fix provided.
- Language error in %description:
  ---> "lookup the address ... via" ---> "look the address ... up via"

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
     ---> manual check
[x]: Package contains no static executables.
     ---> manual check (no executables at all)
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
     ---> ok: BSD
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)", "GPL (v3 or later)", "Unknown or generated". 1 files
     have unknown license. Detailed output of licensecheck in
     /home/obnox/1172534-resolv_wrapper/licensecheck.txt
     ---> TODO: fix upstream?
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib64/cmake
     ---> "Require: cmake"
[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/lib64/pkgconfig(socket_wrapper, nss_wrapper, pkgconfig, uid_wrapper)
     ---> don't own pgkconfig dir and +"Require: pkgconfig"
[x]: %build honors applicable compiler flags or justifies otherwise.
     ---> the %cmake expands...
[?]: Package contains no bundled libraries without FPC exception.
     ---> what precisely is this?
[!]: Changelog in prescribed format.
     ---> no dash between date and author
[x]: Sources contain only permissible code or content.
     ---> ok
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
     ---> the whole package is for development
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
     ---> adaptions proposed due to issue with directories
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 4 files.
[!]: Package complies to the Packaging Guidelines
     ---> except for the issues listed
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
     Note: resolv_wrapper : /usr/lib64/pkgconfig/resolv_wrapper.pc
     ---> ok: the package itself is for development
[-]: Scriptlets must be sane, if used.
[?]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
     ---> built only on x86_64
[x]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: resolv_wrapper-1.1.0-1.fc21.x86_64.rpm
          resolv_wrapper-1.1.0-1.fc21.src.rpm
resolv_wrapper.x86_64: W: spelling-error Summary(en_US) dns -> dens, dins, dons
resolv_wrapper.x86_64: W: spelling-error %description -l en_US lookup -> lockup, hookup, look up

--> "lookup the address ... via" ---> "look the address ... up via"

resolv_wrapper.x86_64: W: spelling-error %description -l en_US resolv -> resolve, resole, resold
resolv_wrapper.x86_64: W: spelling-error %description -l en_US devel -> delve, devil, revel
resolv_wrapper.x86_64: W: shared-lib-calls-exit /usr/lib64/libresolv_wrapper.so.0.0.1 exit@GLIBC_2.2.5
resolv_wrapper.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libresolv_wrapper.so
resolv_wrapper.x86_64: W: devel-file-in-non-devel-package /usr/lib64/pkgconfig/resolv_wrapper.pc
resolv_wrapper.src: W: spelling-error Summary(en_US) dns -> dens, dins, dons
resolv_wrapper.src: W: spelling-error %description -l en_US lookup -> lockup, hookup, look up
resolv_wrapper.src: W: spelling-error %description -l en_US resolv -> resolve, resole, resold
resolv_wrapper.src: W: spelling-error %description -l en_US devel -> delve, devil, revel
2 packages and 0 specfiles checked; 0 errors, 11 warnings.




Rpmlint (installed packages)
----------------------------
]0;<mock-chroot><mock-chroot>[root@sphere /]# rpmlint resolv_wrapper
resolv_wrapper.x86_64: W: spelling-error Summary(en_US) dns -> dens, dins, dons
resolv_wrapper.x86_64: W: spelling-error %description -l en_US lookup -> lockup, hookup, look up
resolv_wrapper.x86_64: W: spelling-error %description -l en_US resolv -> resolve, resole, resold
resolv_wrapper.x86_64: W: spelling-error %description -l en_US devel -> delve, devil, revel
resolv_wrapper.x86_64: W: shared-lib-calls-exit /usr/lib64/libresolv_wrapper.so.0.0.1 exit@GLIBC_2.2.5
resolv_wrapper.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libresolv_wrapper.so
resolv_wrapper.x86_64: W: devel-file-in-non-devel-package /usr/lib64/pkgconfig/resolv_wrapper.pc
1 packages and 0 specfiles checked; 0 errors, 7 warnings.
]0;<mock-chroot><mock-chroot>[root@sphere /]# echo 'rpmlint-done:'



Requires
--------
resolv_wrapper (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    /usr/bin/pkg-config
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libresolv.so.2()(64bit)
    libresolv_wrapper.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
resolv_wrapper:
    libresolv_wrapper.so.0()(64bit)
    pkgconfig(resolv_wrapper)
    resolv_wrapper
    resolv_wrapper(x86-64)



Unversioned so-files
--------------------
resolv_wrapper: /usr/lib64/libresolv_wrapper.so

Source checksums
----------------
https://ftp.samba.org/pub/cwrap/resolv_wrapper-1.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 02a9b367e2fb11530a65ccde03f38522ad61bbbd530365e641e8dd170934590f
  CHECKSUM(SHA256) upstream package : 02a9b367e2fb11530a65ccde03f38522ad61bbbd530365e641e8dd170934590f


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1172534
Buildroot used: fedora-21-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 5 Michael Adam 2014-12-15 20:54:35 UTC
Created attachment 969295 [details]
licensecheck.txt

Comment 6 Michael Adam 2014-12-15 20:57:29 UTC
Created attachment 969296 [details]
rpmlint.txt

Comment 7 Michael Adam 2014-12-15 21:00:15 UTC
Created attachment 969297 [details]
proposed modified SPEC-file

Comment 8 Michael Adam 2014-12-15 21:04:03 UTC
Created attachment 969298 [details]
patch for spec file

Diff of proposed patch to specfile.
Corresponding changes to socket|uid|nss_wrapper are in preparation.

Comment 9 Michael Adam 2014-12-15 21:07:41 UTC
Summary:
- upstream licensing not uniform. fix?
- problems with owning libdir/pkgconfig|cmake: fixes proposed.
- changelog format error and language error: fixes provided


Andreas: OK?

Comment 11 Michael Adam 2014-12-16 10:09:24 UTC
Thanks.
The updates addresses all my concenrs.
The licensing is OK, since the shipped files are all BSD, as the package, only parts of the test cases contain GPL code.

==> Good to go.

Comment 12 Andreas Schneider 2014-12-16 10:13:17 UTC
New Package SCM Request
=======================
Package Name: resolv_wrapper
Short Description: A wrapper for dns name resolving or dns faking
Upstream URL: http://cwrap.org/resolv_wrapper.html
Owners: asn jhrozek obnox
Branches: f20 f21 el6 epel7
InitialCC:

Comment 13 Gwyn Ciesla 2014-12-16 13:14:02 UTC
Git done (by process-git-requests).

Comment 14 Fedora Update System 2014-12-16 14:35:24 UTC
resolv_wrapper-1.1.0-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/resolv_wrapper-1.1.0-2.fc21

Comment 15 Fedora Update System 2014-12-16 14:49:37 UTC
resolv_wrapper-1.1.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/resolv_wrapper-1.1.0-2.fc20

Comment 16 Fedora Update System 2014-12-18 06:08:01 UTC
resolv_wrapper-1.1.0-2.fc20 has been pushed to the Fedora 20 testing repository.

Comment 17 Fedora Update System 2015-01-03 19:07:53 UTC
resolv_wrapper-1.1.0-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 18 Fedora Update System 2015-01-03 19:08:55 UTC
resolv_wrapper-1.1.0-2.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.